<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddCcdHostedDNReq StructType
 * @subpackage Structs
 */
class AddCcdHostedDNReq extends APIRequest
{
    /**
     * The ccdHostedDN
     * @var XCcdHostedDN
     */
    public $ccdHostedDN;
    /**
     * Constructor method for AddCcdHostedDNReq
     * @uses AddCcdHostedDNReq::setCcdHostedDN()
     * @param XCcdHostedDN $ccdHostedDN
     */
    public function __construct(XCcdHostedDN $ccdHostedDN = null)
    {
        $this
            ->setCcdHostedDN($ccdHostedDN);
    }
    /**
     * Get ccdHostedDN value
     * @return XCcdHostedDN|null
     */
    public function getCcdHostedDN()
    {
        return $this->ccdHostedDN;
    }
    /**
     * Set ccdHostedDN value
     * @param XCcdHostedDN $ccdHostedDN
     * @return AddCcdHostedDNReq
     */
    public function setCcdHostedDN(XCcdHostedDN $ccdHostedDN = null)
    {
        $this->ccdHostedDN = $ccdHostedDN;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddCcdHostedDNReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
